BETCORE Aggregator
Provider IntegrationCasino IntegrationFeed Integration
Provider IntegrationCasino IntegrationFeed Integration
Visit Betcore website
Follow Betcore on Instagram
Follow Betcore on LinkedIn
Follow Betcore on Youtube
  1. Rollbacks
  • PLEASE READ: Getting Started
  • Integrate BETCORE Games
    • Integrate BETCORE Games
    • WebFrame Connection
    • Promotional campaigns
    • Freebets
    • BETCORE API
      • Authentication
        • Token
          POST
        • Verify
          POST
        • Jwks
          GET
      • Payments
        • Accept
          POST
      • Rollbacks
        • Make
          POST
        • Accept
          POST
      • Cashback
        • Accept
          POST
    • PROMO API
      • Signing of server requests
      • FreeBets
        • Campaign/Create
          POST
        • Issue
          POST
        • Cancel
          POST
    • PARTNER API
      • Users
        • Auth
          POST
        • Data
          POST
      • Payments
        • Info
          POST
        • Make
          POST
        • Make-list
          POST
        • Close
          POST
      • Cashback
        • Make
          POST
  • Integrate YOUR Games
    • Integrate as Games Provider
    • PARTNER API
      • Games
        • Games
          GET
        • Launch
          POST
    • BETCORE API
      • Get Balance
        • Balance
          GET
      • Bets
        • PayIn
          POST
        • PayOut
          POST
        • PayInOut
          POST
        • Refund
          POST
  • Feed Integration
    • Feed Integration
    • REST API
      • Authorization
        • Token
          POST
      • Games
        • List
          GET
        • Info
          GET
        • Translations
          GET
      • Jackpot
        • Accumulated
          GET
    • Websocket
      • SubOnWholeGamesInfo
  1. Rollbacks

Accept

POST
{base_url}/mis-api/rollbacks/accept

Overview#

The partner must implement a mechanism for retrying requests in the event of network errors or the receipt of an error response.
Transaction processing must be performed in the following order:
  1. Receipt of the rollbacks/make request from BETCORE.
  2. Generation and return of an HTTP response to the rollbacks/make request.
  3. Execution of internal transaction processing on the partner's side.
  4. Sending the rollbacks/accept request with the final transaction processing result.
The rollbacks/accept request must be sent:
  • only after a response to the corresponding rollbacks/make request has been returned
  • no later than 30 seconds after receiving the corresponding rollbacks/make request from BETCORE.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

⚪103752Invalid request parameters
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://tvbetapiproxy.top/mis-api/rollbacks/accept' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "ErrorCode": 200,
    "Message": "Success",
    "Value": {
        "BetId": 120730817
    }
}'
Response Response Example
200 - Successful response example
{
    "ErrorCode": 200,
    "Message": "Success"
}
Previous
Make
Next
Accept
Built with